Cancel Payment
curl --request DELETE \
--url https://mapi.zbx.boomfi.xyz/v1/payments/{paymentId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/payments/{paymentId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://mapi.zbx.boomfi.xyz/v1/payments/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amount": "<string>",
"amount_usd": "<string>",
"cf_headers": {},
"chain_id": 123,
"created_at": "<string>",
"crypto_transaction": {
"chain_id": 123,
"created_at": "<string>",
"payment_id": "<string>",
"transaction_hash": "<string>",
"updated_at": "<string>"
},
"crypto_transactions": [
{
"chain_id": 123,
"created_at": "<string>",
"entity_id": "<string>",
"fee_amount": "<string>",
"fee_currency": "<string>",
"from": "<string>",
"id": 123,
"payment_id": "<unknown>",
"raw": "<unknown>",
"sequence": "<string>",
"transaction_hash": "<string>",
"transfer_logs": [
{
"address": "<string>",
"recipient": "<string>",
"sender": "<string>",
"value": "<string>"
}
],
"updated_at": "<unknown>",
"value": "<string>"
}
],
"currency": "<string>",
"customer": {
"created_at": "<string>",
"deleted_at": "<string>",
"email": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"org_id": "<string>",
"phone": "<string>",
"properties": {},
"reference": "<string>",
"updated_at": "<string>",
"wallet_address": "<string>"
},
"customer_id": "<string>",
"from_account": {
"address": "<string>",
"chain_id": 123,
"currencies": [
"<string>"
],
"enabled": true,
"id": 123,
"name": "<string>",
"reference": "<string>"
},
"id": "<string>",
"invoice_id": "<string>",
"metadata": {},
"next_action": "<string>",
"org_id": "<string>",
"parent_id": "<string>",
"payment_link": {
"created_at": "<string>",
"created_by": "<string>",
"customer_ident_collection": true,
"deleted_at": "<string>",
"enabled": true,
"id": "<string>",
"invoice_id": "<string>",
"metadata": {},
"plan": {
"available_quantity": 123,
"created_at": "<string>",
"created_by": "<string>",
"currency": "<string>",
"deleted_at": "<string>",
"enabled": true,
"expires_at": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"org_id": "<string>",
"payment_link": {
"created_at": "<string>",
"created_by": "<string>",
"customer_ident_collection": true,
"deleted_at": "<string>",
"enabled": true,
"id": "<string>",
"invoice_id": "<string>",
"metadata": {},
"plan_id": "<string>",
"properties": {},
"shipping_address_collection": true,
"tax_ident_collection": true,
"updated_at": "<string>",
"updated_by": "<string>"
},
"price": "<string>",
"properties": {},
"recurring_interval_count": 123,
"reference": "<string>",
"trial_period": "<string>",
"updated_at": "<string>"
},
"plan_id": "<string>",
"properties": {},
"shipping_address_collection": true,
"tax_ident_collection": true,
"updated_at": "<string>",
"updated_by": "<string>"
},
"payout_splits": [
{
"address": "<string>",
"amount": "<string>",
"chain_id": 123,
"currency": "<string>",
"reference": "<string>"
}
],
"properties": {},
"reference": "<string>",
"scheduled_time": 123,
"sender_address": "<string>",
"settlement_transaction": {
"chain_id": 123,
"created_at": "<string>",
"payment_id": "<string>",
"transaction_hash": "<string>",
"updated_at": "<string>"
},
"to_account": {
"address": "<string>",
"chain_id": 123,
"currencies": [
"<string>"
],
"enabled": true,
"id": 123,
"name": "<string>",
"reference": "<string>"
},
"updated_at": "<string>"
},
"error": true,
"message": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Payments
Cancel Payment
Cancel a Processing ProxyWallet one-time payment with zero paid amount
DELETE
/
payments
/
{paymentId}
Cancel Payment
Authorizations
Path Parameters
Unique payment identifier (pay_... or raw UUID)
⌘I